Bug 177270 - Review Request: libresample - A real-time library for audio sampling rate conversion
Summary: Review Request: libresample - A real-time library for audio sampling rate con...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Greg DeKoenigsberg
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-01-08 17:13 UTC by Jeffrey C. Ollie
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-16 15:18:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeffrey C. Ollie 2006-01-08 17:13:32 UTC
Spec Name or Url: http://www.ocjtech.us/libresample-0.1.3-1.spec
SRPM Name or Url: http://www.ocjtech.us/libresample-0.1.3-1.src.rpm
Description:

A real-time library for audio sampling rate conversion.

Comment 1 Brandon Holbrook 2006-02-16 05:45:56 UTC
(This goes along with Packaging Guidelines) Your %description is a
copy-and-paste of Summary, very brief... Anything else you can say in Description?

rpmlint: OK
naming guidelines: OK
  NOTE: FE caveats use "Release: 1%{?dist}" instead of just "Release: 1"
name matches base package: OK
specfile matches base package: OK
  Note: your .spec file in the SRPM is named correctly, but the one you linked
here "libresample-0.1.3-1.spec" is not
packaging guidelines: OK
LGPL License: OK
LICENCE.txt file matches (and included in %doc): OK
  Might consider renaming to "COPYING" and dropping the ".txt" off of "README.txt"
legible: OK
md5: OK
  99bc5ea15ef76b83e5655a10968f674b  SOURCES/libresample-0.1.3.tgz
  99bc5ea15ef76b83e5655a10968f674b  libresample-0.1.3.tgz
successful build:
  i386=OK
  ppc=OK
  x64=UNKNOWN ( Nothing to try it on :-/ )
BuildRequires: NONE
ldconfig: OK
ownership/permissions: OK
no duplicate %files: OK
%clean: OK
consistent macros: OK
libraries in -devel package: OK
  NOTE: -devel does NOT require the base package, because there is no base
package :)

No blocking issues, APPROVED

Comment 2 John Mahowald 2006-03-06 04:44:26 UTC
Builds on devel x86_64 but why no base package? Is it because there doesn't seem
to be a way to generate shared libraies? This is confusing because convention is
devel packages when compiling against things, not using them.

Comment 3 Ville Skyttä 2006-03-06 07:07:57 UTC
(In reply to comment #2)
> This is confusing because convention is
> devel packages when compiling against things, not using them.

But how do you "use" this package besides compiling things against it?  A common
convention is that there's only the -devel subpackage if there's only headers
and a static lib to ship.  libassuan is one example, libmatroska and libebml
were before they got shared libs, and I'm sure there are others examples in the
repo.  IMO it's not confusing at all, but the right thing to do.


Comment 4 Christian Iseli 2006-03-16 15:00:32 UTC
What's the status of this package ?  It seems to have been approved, but is
still blocking FE-NEW.  It's not been imported, nor built...

Comment 5 Jeffrey C. Ollie 2006-03-16 15:18:43 UTC
It's been imported and built... I suppose that I should have closed it out...

Comment 6 Christian Iseli 2006-03-16 15:25:09 UTC
Right.  I also put the proper blocker to FE-ACCEPT.


Note You need to log in before you can comment on or make changes to this bug.